#ifndef rules_h
#define rules_h

#define PROT_ICMP 1
#define PROT_TCP 6
#define PROT_UDP 17
#define PROT_GRE 47
#define PROT_UNKNOWN 0

#define CHAIN_INPUT 1
#define CHAIN_OUTPUT 3
#define CHAIN_FORWARD 2

#define ACTION_ACCEPT 1
#define ACTION_DENY 2
#define ACTION_QUEUE 3


int inputRule(unsigned int chainid, int protocol, unsigned long int srcip, unsigned long int dstip, int srcport, int dstport, char *interface_in, char *interface_out, int conntrack, int action);
void deleteRule(unsigned int chainid, int rulenum);
void deleteRule(unsigned int chainid, int protocol, unsigned long int srcip, unsigned long int dstip, int srcport, int dstport, char *interface_in, char *interface_out, int conntrack, int action);
char *getChains();


#endif
